> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Seo Strategy

> Manually update the SEO strategy for a team.



## OpenAPI

````yaml /openapi.json patch /api/v1/teams/{team_id}/seo-strategy
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/teams/{team_id}/seo-strategy:
    patch:
      tags:
        - Teams
      summary: Update Seo Strategy
      description: Manually update the SEO strategy for a team.
      operationId: update_seo_strategy_api_v1_teams__team_id__seo_strategy_patch
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SeoStrategyUpdateRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SeoStrategyUpdateRequest:
      properties:
        seo_strategy:
          additionalProperties: true
          type: object
          title: Seo Strategy
          description: Edited SEO strategy document
      type: object
      required:
        - seo_strategy
      title: SeoStrategyUpdateRequest
      description: Request to update an existing SEO strategy.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````